New GTA requires 2.60 update plus savedata exploit has been patched

June 15th, 2006, 14:05

300x250uk
Part of the DCEmu Network PSP News..